Linux repositories inspector

libsaml2-dev - Security Assertion Markup Language library (development)

OpenSAML is an open source implementation of the OASIS Security Assertion Markup Language Specification. It contains a set of open source C++ classes that support the SAML 1.0, 1.1, and 2.0 specifications.
This package contains the headers and other necessary files to build applications or libraries that use or extend the OpenSAML library.
3.0.1
Debian iconDebian 10.0
Debian iconDebian 9.0
3.0.0
Ubuntu iconUbuntu 18.10
Ubuntu iconUbuntu 19.04
2.6.1
Ubuntu iconUbuntu 18.04 LTS
2.6.0
Debian iconDebian 9.0
Ubuntu iconUbuntu 17.10
2.5.5
Ubuntu iconUbuntu 16.04 LTS
DistributionVersionSincePackageInstalledPackager
Debian iconDebian 10.0 buster/maindeb3.0.1-106.04.201911.6 kiB25 kiB
Debian iconDebian 9.0 stretch/maindeb2.6.0-4+deb9u109.12.201745.2 kiB361 kiB
Debian iconDebian 9.0 stretch-backports/maindeb3.0.1-1~bpo9+109.04.201911.8 kiB25 kiB
Ubuntu iconUbuntu 17.10 artful/universedeb2.6.0-410.11.201738.7 kiB361 kiB
Ubuntu iconUbuntu 17.10 artful-security/universedeb2.6.0-4+deb9u1build0.17.10.122.11.201738.7 kiB361 kiB
Ubuntu iconUbuntu 17.10 artful-updates/universedeb2.6.0-4+deb9u1build0.17.10.123.11.201738.7 kiB361 kiB
Ubuntu iconUbuntu 18.04 LTS bionic/universedeb2.6.1-122.11.201738.7 kiB362 kiB
Ubuntu iconUbuntu 18.10 cosmic/universedeb3.0.0-0ubuntu214.01.201937.9 kiB347 kiB
Ubuntu iconUbuntu 19.04 disco/universedeb3.0.0-214.01.20193.58 kiB25 kiB
Ubuntu iconUbuntu 16.04 LTS xenial/universedeb2.5.5-110.11.201738 kiB353 kiB
Ubuntu iconUbuntu 16.04 LTS xenial-security/universedeb2.5.5-1ubuntu0.123.11.201738 kiB353 kiB
Ubuntu iconUbuntu 16.04 LTS xenial-updates/universedeb2.5.5-1ubuntu0.123.11.201738 kiB353 kiB

Latest updates

Debian 9.0 icon

Debian 9.0 stretch-backports/main: Updated from 3.0.0-2~bpo9+1 to 3.0.1-1~bpo9+1

09.04.2019 22:55
  • [9746b82] Don't single out the amd64 architecture in the Lintian override
  • Rebuild for stretch-backports.
Debian 9.0 icon

Debian 9.0 stretch-backports/main: Updated from 2.6.1-1~bpo9+1 to 3.0.0-2~bpo9+1

08.04.2019 17:08
  • Rebuild for stretch-backports.
  • [2d488f2] Require Xerces-C 3.2
Debian 10.0 icon

Debian 10.0 buster/main: Updated from 3.0.0-2 to 3.0.1-1

06.04.2019 23:22
  • [d1daef5] Revert "Temporarily ignore build test failures"
  • [792ec83] New upstream release: 3.0.1
  • [dd69be3] Delete released patch fixing the tests, refresh the rest
  • [5ec41bf] Update Standards-Version to 4.3.0 (no changes required)
  • [38ff832] Update library version number in Lintian override
Ubuntu 19.04 icon

Ubuntu 19.04 disco/universe: Version 3.0.0-2 introduced

14.01.2019 13:07
See package libsaml10
Ubuntu 18.10 icon

Ubuntu 18.10 cosmic/universe: Version 3.0.0-0ubuntu2 introduced

14.01.2019 03:12
See package libsaml10
Debian 10.0 icon

Debian 10.0 buster/main: Updated from 2.6.1-1 to 3.0.0-2

12.01.2019 14:08
  • [eb1b88f] New patch: CPPOST-110 Rebenchmark tests with SHA256 disgest. Thanks to Rod Widdowson
  • [2704b86] New patch: testBadSig requires fresh InCommon metadata
  • [a8a62a4] Update Standards-Version to 4.2.1 (no changes required)
  • Upload to unstable
Debian 9.0 icon

Debian 9.0 stretch-backports/main: Version 2.6.1-1~bpo9+1 introduced

30.12.2017 16:35
  • Rebuild for stretch-backports.
  • [a48565d] Revert "Provide a GCC 7 build with strict enough shlibs" Revert to GCC 6 in order to build on stretch.
    This reverts commit 7051f3920b9da9898b36fee4312a6c71fb3ae423.
  • [fc2b24b] Use our backported versions of the dependencies
Debian 9.0 icon

Debian 9.0 stretch-proposed-updates/main: Version 2.6.0-4+deb9u1 removed

09.12.2017 06:35
Debian 9.0 icon

Debian 9.0 stretch/main: Updated from 2.6.0-4 to 2.6.0-4+deb9u1

09.12.2017 05:57
  • [9e2c41f] New patch: Security fix from V2.6.1 (CPPOST-105) Thanks to Scott Cantor
Ubuntu 16.04 LTS icon

Ubuntu 16.04 LTS xenial-updates/universe: Version 2.5.5-1ubuntu0.1 introduced

23.11.2017 06:00
See package libsaml8v5
Ubuntu 16.04 LTS icon

Ubuntu 16.04 LTS xenial-security/universe: Version 2.5.5-1ubuntu0.1 introduced

23.11.2017 03:15
See package libsaml8v5
Ubuntu 17.10 icon

Ubuntu 17.10 artful-updates/universe: Version 2.6.0-4+deb9u1build0.17.10.1 introduced

23.11.2017 00:05
See package libsaml9
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic/universe: Updated from 2.6.0-5build1 to 2.6.1-1

22.11.2017 23:11
See package libsaml9
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/universe: Version 2.6.1-1 removed

22.11.2017 23:05
Debian 10.0 icon

Debian 10.0 buster/main: Updated from 2.6.0-5 to 2.6.1-1

22.11.2017 22:36
  • [0c08870] New upstream release (2.6.1)
    Security fix for CVE-2017-16853:
    Rod Widdowson of Steading System Software LLP discovered a coding error in the OpenSAML library, causing the DynamicMetadataProvider class to fail configuring itself with the filters provided and omitting whatever checks they are intended to perform.
  • [0795c42] Refresh our patches
  • [1f742ec] Update Standards-Version to 4.1.1 (no changes needed)
  • [5bed74f] Bump XMLTooling dependency version to 1.6.
    This isn't strictly required, but the stack is always updated in lockstep, so why not follow the upstream spec file in this respect.
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/universe: Version 2.6.1-1 introduced

22.11.2017 20:25
See package libsaml9
Ubuntu 17.10 icon

Ubuntu 17.10 artful-security/universe: Version 2.6.0-4+deb9u1build0.17.10.1 introduced

22.11.2017 20:15
See package libsaml9
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic/universe: Updated from 2.6.0-5 to 2.6.0-5build1

22.11.2017 01:41
See package libsaml9
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/universe: Version 2.6.0-5build1 removed

22.11.2017 01:25
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/universe: Version 2.6.0-5build1 introduced

20.11.2017 15:10
See package libsaml9
⇧ Top